FASTBASE64(1)

NAME
fastbase64 - base64 encode/decode data and print to standard output

SYNOPSIS
fastbase64 [-Ddh] [-b num] [-i in_file] [-o out_file]

DESCRIPTION
fastbase64 encodes or decodes base64 data using the high-performance simdutf library. By default, it encodes binary input to base64 output. On large files, it can be several times faster than standard base64 tools. If a second filename is provided, it is used as the output file. Otherwise, output goes to standard output.

OPTIONS

-b, --break num
    break encoded output up into lines of length num (default 0, meaning no breaks)

-D, -d, --decode
    decode input

-h, --help
    display this message

-i, --input in_file
    input file (default: "-" for stdin)

-o, --output out_file
    output file (default: "-" for stdout)

-w, --wrap=NUM
    same as -b

-e, --encode
    encode input (default)

--ignore-garbage
    when decoding, ignore non-alphabet characters

--version
    output version information and exit

EXAMPLES

Encode a file (default, no wrapping):
    fastbase64 -i myfile.txt

Decode base64 data:
    fastbase64 -d -i encoded.txt

Encode with custom line wrapping:
    fastbase64 -b 76 -i myfile.txt

SEE ALSO
base64(1), fastbase64.coreutils(1), iconv(1)

AUTHOR
Written by the simdutf development team.